import * as promptSync from &#39;prompt-sync&#39;;
interface Item {
  id: number;
  nome: string;
  descricao: string;
}
const prompt = promptSync();
let itens: Item[] = [];
let idAtual = 1;
const exibirMenu = () =&gt; {
  console.log(&quot;\n1. Criar\n2. Listar\n3. Atualizar\n4. Excluir\n5.
Sair\nEscolha uma opção:&quot;);
};
const criar = () =&gt; {
  const nome = prompt(&quot;Nome do item: &quot;);
  const descricao = prompt(&quot;Descrição do item: &quot;);
  itens.push({ id: idAtual++, nome, descricao });
  console.log(&quot;Item criado com sucesso!&quot;);
};
const listar = () =&gt; {
  if (itens.length === 0) return console.log(&quot;Nenhum item cadastrado.&quot;);
  itens.forEach(i =&gt; console.log(`ID: ${i.id}, Nome: ${i.nome},
Descrição: ${i.descricao}`));
};
const atualizar = () =&gt; {
  const id = parseInt(prompt(&quot;ID do item a atualizar: &quot;));
  const item = itens.find(i =&gt; i.id === id);
  if (!item) return console.log(&quot;Item não encontrado.&quot;);
  item.nome = prompt(`Novo nome (atualmente: ${item.nome}): `);
  item.descricao = prompt(`Nova descrição (atualmente:
${item.descricao}): `);
  console.log(&quot;Item atualizado com sucesso!&quot;);
};
const excluir = () =&gt; {
  const id = parseInt(prompt(&quot;ID do item a excluir: &quot;));
  const index = itens.findIndex(i =&gt; i.id === id);
  if (index === -1) return console.log(&quot;Item não encontrado.&quot;);
  itens.splice(index, 1);
  console.log(&quot;Item excluído com sucesso!&quot;);
};
const main = () =&gt; {
  let opcao: number;

  do {
    exibirMenu();
    opcao = parseInt(prompt(&quot;&gt; &quot;));
    switch (opcao) {
      case 1: criar(); break;
      case 2: listar(); break;
      case 3: atualizar(); break;
      case 4: excluir(); break;
      case 5: console.log(&quot;Saindo...&quot;); break;
      default: console.log(&quot;Opção inválida.&quot;);
    }
  } while (opcao !== 5);
};
main();